Loading...
Searching...
No Matches
pcl::recognition::RotationSpaceCell Class Reference

`#include <pcl/recognition/ransac_based/rigid_transform_space.h>`

## Classes

class | Entry

## Public Member Functions

| RotationSpaceCell ()=default
virtual | ~RotationSpaceCell ()
std::map< const ModelLibrary::Model *, Entry > & | getEntries ()
const RotationSpaceCell::Entry * | getEntry (const ModelLibrary::Model *model) const
const RotationSpaceCell::Entry & | addRigidTransform (const ModelLibrary::Model *model, const float axis_angle[3], const float translation[3])

## Protected Attributes

std::map< const ModelLibrary::Model *, Entry > | model_to_entry_

## Detailed Description

Definition at line 58 of file rigid_transform_space.h.

## Constructor & Destructor Documentation

## RotationSpaceCell()

pcl::recognition::RotationSpaceCell::RotationSpaceCell | ( |  | ) |

default

## ~RotationSpaceCell()

virtual pcl::recognition::RotationSpaceCell::~RotationSpaceCell | ( |  | ) |

inline virtual

Definition at line 141 of file rigid_transform_space.h.

References model_to_entry_.

## Member Function Documentation

## addRigidTransform()

const RotationSpaceCell::Entry & pcl::recognition::RotationSpaceCell::addRigidTransform | ( | const ModelLibrary::Model * | model,
|  | const float | axis_angle[3],
|  | const float | translation[3] )

inline

Definition at line 164 of file rigid_transform_space.h.

References model_to_entry_.

Referenced by pcl::recognition::RotationSpace::addRigidTransform().

## getEntries()

std::map< const ModelLibrary::Model *, Entry > & pcl::recognition::RotationSpaceCell::getEntries | ( |  | ) |

inline

Definition at line 147 of file rigid_transform_space.h.

References model_to_entry_.

## getEntry()

const RotationSpaceCell::Entry * pcl::recognition::RotationSpaceCell::getEntry | ( | const ModelLibrary::Model * | model | ) | const

inline

Definition at line 153 of file rigid_transform_space.h.

References model_to_entry_.

## Member Data Documentation

## model_to_entry_

std::map<const ModelLibrary::Model*,Entry> pcl::recognition::RotationSpaceCell::model_to_entry_

protected

Definition at line 170 of file rigid_transform_space.h.

Referenced by addRigidTransform(), getEntries(), getEntry(), and ~RotationSpaceCell().

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/rigid_transform_space.h